> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Private Endpoint を削除

> **この endpoint はベータです。** API コントラクトは安定しており、今後、破壊的変更が行われる予定はありません。 <br /><br /> 指定した ID の reverse private endpoint を削除します。



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json delete /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints/{reversePrivateEndpointId}:
    delete:
      tags:
        - ClickPipes
      summary: Reverse Private Endpoint を削除
      description: >-
        **この endpoint はベータです。** API コントラクトは安定しており、今後、破壊的変更が行われる予定はありません。 <br
        /><br /> 指定した ID の reverse private endpoint を削除します。
      parameters:
        - description: service を所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: Reverse Private Endpoint を所有する service の ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: 削除する reverse private endpoint の ID。
          in: path
          name: reversePrivateEndpointId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 正常なレスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアント エラーと見なされる問題があるため、サーバーはリクエストを処理できないか、または処理しません。
components:
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````